%define module	YAML-Syck
%define name	perl-%{module}
%define	modprefix YAML

%define version	0.67

%define	rel	1
%define release	%mkrel %{rel}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Fast, lightweight YAML loader and dumper
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url: 		http://search.cpan.org/dist/%{module}
Buildrequires:	perl-devel >= 5.3
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This module provides a Perl interface to the libsyck data
serialization library. It exports the Dump and Load functions for
converting Perl data structures to YAML strings, and the other way
around.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes COMPATIBILITY COPYING README
%{_mandir}/*/*
%{perl_vendorarch}/JSON
%{perl_vendorarch}/%{modprefix}
%{perl_vendorarch}/auto/%{modprefix}

%changelog
* Sun Jul 30 2006 Scott Karns <scottk@mandriva.org> 0.67-1mdv2007.0
- Updated to 0.67

* Sat Jul 01 2006 Scott Karns <scottk@mandriva.org> 0.61-1mdv2007.0
- Updated to 0.61

* Sat Jul 01 2006 Scott Karns <scottk@mandriva.org> 0.60-1mdv2007.0
- Updated to 0.60

* Sat May 27 2006 Scott Karns <scottk@mandriva.org> 0.45-1mdv2007.0
- Updated to 0.45

* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.44-3mdk
- Fix BuildRequires, perl-devel is needed for the build

* Thu May 04 2006 Scott Karns <scottk@mandriva.org> 0.44-2mdk
- Put release conditional around BuildRequires: perl-devel

* Tue May 03 2006 Scott Karns <scottk@mandriva.org> 0.44-1mdk
- Updated to 0.44

* Sat Apr 29 2006 Scott Karns <scottk@mandriva.org> 0.43-1mdk
- Updated to 0.43

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.42-2mdk
- Add BuildRequires: Perl-devel
- Fix Source URL

* Tue Apr 25 2006 Scott Karns <scottk@mandriva.org> 0.42-1mdk
- Updated to 0.42

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.41-1mdk
- contributed by  Scott Karns <scott@karnstech.com>
